setVolume

Use the setVolume command to set the group volume and the group's mute state.
The group is automatically unmuted unless otherwise specified.

When your app sets the group volume, the group coordinator calculates the required changes to the volume level for each player in the group so that the result is the average volume level of the group as a whole. The group coordinator then adjusts its local volume and initiates network transactions with the other players in the group to adjust their volumes accordingly. While players adjust their volumes, the group coordinator may generate one or more groupVolume events.

Since this command can generate additional network transactions and events, your app should optimize how often it is invoked to maintain a good user experience without flooding the network, such as when implementing a touch screen volume slider that controls a group of five players.

Path Params
string
required

Target groupId

Body Params
int32
required
0 to 100

The new group volume as an integer between 0 and 100, inclusive. Values above this range will be rejected. Any negative value will be interpreted as setting the group volume level to 0.

Headers
uuid
deprecated

Client API Key for the integration. Required in V1 but deprecated in V2.

uuid

Correlation UUID for data tracking purposes

Responses

Language
Credentials
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json